<?

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | Geeklog 1.3                                                               |
// +---------------------------------------------------------------------------+
// | phpblock-switchLang.php                                                   |
// | Shows a block with links to switch translation files                      |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2000-2003 by the following authors:                         |
// |                                                                           |
// | Authors: Stratos Gerakakis     - admin@stratosfear.gr                     |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//


// this only shows a couple of links to the switchLang.php file
// to actually perform the language selection
function phpblock_switchLanguage() {
    
    global $_USER, $_CONF;
    
    // display both languages
    //$display  = "<table width=100%><tr><td align=center>";    
    //$display .= "<a href=/switchLang.php?useLang=english>";
    //$display .= "<img src=/images/flag-eng.gif></a></td><td align=center>";        
    //$display .= "<a href=/switchLang.php?useLang=hellenic>";
    //$display .= "<img src=/images/flag-ell.gif></a></td></tr></table>";    
    
    // or be a little smarter and show only the language that is missing
    if ($_USER['language'] == "hellenic") {
        $imgName = "flag-eng.gif";
        $lngName = "english";
    } else { // we assume it is english
        $imgName = "flag-ell.gif";
        $lngName = "hellenic";
    }
    
    $display  = "<div align=center>";    
    $display .= "<a href=" . $_CONF['site_url'] ."/switchLang.php?useLang=" . $lngName . ">";
    $display .= "<img src=" . $_CONF['site_url'] ."/images/". $imgName . "></a></div>";        
        
    return $display;
}

?>