<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | Geeklog 1.3                                                               |
// +---------------------------------------------------------------------------+
// | switchLang.php                                                            |
// | Switches between translation files.                                       |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2000-2003 by the following authors:                         |
// |                                                                           |
// | Authors: Stratos Gerakakis     - admin@stratosfear.gr                     |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

include_once('lib-common.php');


// do we really have a new language to switch to?
if (isset($_REQUEST['useLang'])) {

    // does it exist in our current translation list?
    if( is_file( $_CONF['path_language'] . $_REQUEST['useLang'] . '.php' ))  {
        
        // Set the language cookie.
        // Mainly used for the anonymous user so the rest of his session
        // will remain in his selected language
        setcookie ($_CONF['cookie_language'], $_REQUEST['useLang'], time() + 31536000,
                   $_CONF['cookie_path'], $_CONF['cookiedomain'],
                   $_CONF['cookiesecure']);

        // if his is not anonymous, store the preference in the database
        if ($_USER['uid'] > 1)
            DB_query("UPDATE {$_TABLES['users']} SET language='{$_REQUEST['useLang']}' WHERE uid = {$_USER['uid']}");

    }

}

// send him back where he was before
echo COM_refresh($HTTP_REFERER);
